unit fileUnit;

{$mode objfpc}{$H+}

interface

uses LCLIntf, LCLType, LMessages, Classes, SysUtils, IniFiles, Graphics;


// procedure doSaveFile(AName: string);
// procedure doLoadFile(AName: string);
 procedure WriteInit(AName: string);
 procedure ReadInit(AName: string);
 //procedure savePalette(AName: string);


var

   stream: TFileStream;
   iniFile: TIniFile;
   FileVersion : integer ;

const
  oldVersionString = 'Cette version n''est plus supporte... tentez d''enregistrer d''abord avec la version 1.4 ' ;

  curFileVersion: integer = 1;


implementation

uses main;

{ ============================ INIFILES SECTION ====================== }

procedure ReadInit(AName: string);
var defValStr : TStringList;
    i: word;
begin
   defValStr := TStringList.create;
      IniFile := TIniFile.Create(aName);
       with IniFile do
           try
              with mainForm do
              begin
                Left         := readInteger('PREFS', 'wLeft', 50);
                Top          := readInteger('PREFS', 'wTop', 50);
                Width        := readInteger('PREFS', 'wWidth', 500);
                //Height       := readInteger('PREFS', 'wHeight', 500);
                curFileName  := ReadString('PREFS', 'curFileName' , '');
                mAutoLoad.checked      := ReadBool('PREFS', 'autoload', false);
                mExtendView.checked    := readBool('PREFS', 'extView', false);
                CBRefPals.ItemIndex    := readInteger('PREFS', 'bPalInd', 0);
                pgCntrl.PageIndex      := readInteger('PREFS', 'pgCntrl', 0) ;
                pCtrlSrc.PageIndex     := readInteger('PREFS','pCSrce', 0);

                CbSelKind.itemIndex    := readInteger( 'CONFIG', 'selKind', 1 );
                chkAutoSave.checked    := readBool('CONFIG', 'autoSave', false);

                RTBar.position:= readInteger('COLOR','Red', 0);
                GTBar.position:= readInteger('COLOR','Green', 0);
                BTBar.position:= readInteger('COLOR','Blue', 0);
                palPan.Color  := stringToColor(readString('COLOR', 'palBG', 'clForm'));

                colStrList := readString('COLOR','colStrList', '');
              end;
              
             finally
              Free;
            end;
       defValStr.free;
    // SetDefaults; //
end; { ReadInit}


procedure WriteInit(AName: string);
var i: word;
begin
  IniFile := TIniFile.Create(aName);
       with IniFile do
          try
             with mainForm do
             begin
               writeInteger('PREFS', 'wLeft', Left);
               writeInteger('PREFS', 'wTop', Top);
               writeInteger('PREFS', 'wWidth', Width);
               //writeInteger('PREFS', 'wHeight', Height);
               writeString('PREFS', 'curFileName', curFileName);
               writeBool('PREFS', 'autoLoad', mAutoLoad.checked);
               writeBool('PREFS', 'extView', mExtendView.checked);
               writeInteger('PREFS', 'bPalInd', CBRefPals.itemIndex);
               writeInteger('PREFS', 'pgCntrl', pgCntrl.PageIndex);
               writeInteger('PREFS', 'pCSrce', pCtrlSrc.PageIndex);

               writeInteger('CONFIG', 'selKind', CbSelKind.itemIndex);
               writeBool('CONFIG', 'autoSave', chkAutoSave.checked);

               writeInteger('COLOR', 'Red', RTBar.position);
               writeInteger('COLOR', 'Green', GTBar.position);
               writeInteger('COLOR', 'Blue', BTBar.position);
               writeString('COLOR', 'PalBG', colorToString(palPan.color) );

               writeString('COLOR', 'ColStrList', ColStrList);
             end;
             
           finally
           free;
          end;
end; {WriteInit}






end.
